Bug 1317116 - System freeze when Wacom One Tablet (CTL-471) is attached
Summary: System freeze when Wacom One Tablet (CTL-471) is attached
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 22
Hardware: i686
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-12 04:58 UTC by Rajib Chakrabartty
Modified: 2016-07-19 19:25 UTC (History)
11 users (show)

Fixed In Version: kernel-4.5.1-300.fc24 kernel-4.4.7-300.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 19:25:02 UTC


Attachments (Terms of Use)
dmesg file from kdump (77.18 KB, text/plain)
2016-03-15 09:59 UTC, Rajib Chakrabartty
no flags Details
hid-record available devices (180 bytes, text/plain)
2016-03-20 06:39 UTC, Rajib Chakrabartty
no flags Details
hid-record for wacom CTL-471 (device 1) (49.75 KB, text/plain)
2016-03-20 06:41 UTC, Rajib Chakrabartty
no flags Details
hid-record for wacom CTL-471 (device 2) (5.67 KB, text/plain)
2016-03-20 06:42 UTC, Rajib Chakrabartty
no flags Details
0001-HID-wacom-fix-Bamboo-ONE-oops.patch (1.62 KB, patch)
2016-03-21 15:16 UTC, Benjamin Tissoires
no flags Details | Diff

Description Rajib Chakrabartty 2016-03-12 04:58:18 UTC
Description of problem: Upon attaching Wacom graphics tablet (One Small CTL-471) to the system, the system hangs/crashes.


Version-Release number of selected component (if applicable): 4.4.3-201.fc22.i686


How reproducible: Every time the tablet is connected to the system.


Steps to Reproduce:
1. Boot Fedora 22 with kernel 4.4.3-201.fc22.i686
2. Login to the system (I am using GNOME)
3. Attach the tablet to any USB port of the system.

Actual results: System hangs.


Expected results: The tablet should work (Works in older kernel)


Additional info:

Comment 1 Laura Abbott 2016-03-14 17:48:39 UTC
hangs and crashes very different things. Can you get kernel logs when this happens or from a different bootup? How about sshing into the machine?

Comment 2 Rajib Chakrabartty 2016-03-15 09:59:15 UTC
Created attachment 1136497 [details]
dmesg file from kdump

Comment 3 Rajib Chakrabartty 2016-03-15 10:08:39 UTC
(In reply to Laura Abbott from comment #1)
> hangs and crashes very different things. Can you get kernel logs when this
> happens or from a different bootup? How about sshing into the machine?

Apologies for my complete ignorance!

What really happens is that, when I connect the Wacom tablet to the system and bring the pen (stylus) near the surface of the tablet, the system stops responding completely and the Caps lock LED keeps on flashing (kernel panic?). Naturally, only way out is to power off the system and cold-boot it.

I removed the kernel, so that I don't automatically boot into it. However, to submit the report, I tried to install it again, but could not find it in the fedora repo.

Unfortunately, the newest kernel in the distro (4.4.4-200.fc22) also has the bug. I tried both on a 32-bit as well as on a 64-bit system.

I was able to get the crash dump on a 64-bit system. The 'vmcore-dmesg.txt' file is attached.

Comment 4 Laura Abbott 2016-03-15 15:38:05 UTC
Thanks, that's very useful. What was the last kernel version where this worked?

Comment 5 Rajib Chakrabartty 2016-03-16 07:11:03 UTC
I have re-checked it on few available kernels, and can confirm that:

It is working on:
   4.0.4-301.fc22.i686
   4.3.4-200.fc22.x86_64
   4.3.5-200.fc22.x86_64

NOT working on:
   4.4.4-200.fc22.i686
   4.4.4-200.fc22.x86_64

Comment 6 Benjamin Tissoires 2016-03-18 08:28:54 UTC
Rajib, could you do a hid-recording[1] of your device on a working kernel?
From the upstream discussions, it might be that your device is already fixed by commits in the 4.5 kernel, but if you provide the hid-record output, I might be able to reproduce here.


[1] use "sudo hid-record" with the package hi-replay installed

Comment 7 Rajib Chakrabartty 2016-03-20 06:39:53 UTC
Created attachment 1138188 [details]
hid-record available devices

Comment 8 Rajib Chakrabartty 2016-03-20 06:41:18 UTC
Created attachment 1138189 [details]
hid-record for wacom CTL-471 (device 1)

Comment 9 Rajib Chakrabartty 2016-03-20 06:42:00 UTC
Created attachment 1138190 [details]
hid-record for wacom CTL-471 (device 2)

Comment 10 Rajib Chakrabartty 2016-03-20 06:44:37 UTC
Thanks Laura, Benjamin for looking into the problem.

I have attached the required 'hid-record' files.

Comment 11 Benjamin Tissoires 2016-03-21 15:16:16 UTC
Created attachment 1138637 [details]
0001-HID-wacom-fix-Bamboo-ONE-oops.patch

Thanks Rajib for the logs. I think I understood what happened, and got a patch that locally fixes the problem.

I can't provide you a Fedora kernel with it right now for you to test. (I am lacking a proper internet connection for a few days). We will try to see with the upstream project on sourceforge if they can find a tester. If not, then you probably will have to wait for me to provide you a test kernel with it...

Comment 12 Benjamin Tissoires 2016-03-22 19:52:46 UTC
I launched a scratch build of the current fedora 22 kernel with the patch I posted above (still not finished, but it should in a few hours at most):
http://koji.fedoraproject.org/koji/taskinfo?taskID=13427384

Would you mind testing it and report if it fixed your issue?

Comment 13 Rajib Chakrabartty 2016-03-24 10:36:05 UTC
(In reply to Benjamin Tissoires from comment #12)
> I launched a scratch build of the current fedora 22 kernel with the patch I
> posted above (still not finished, but it should in a few hours at most):
> http://koji.fedoraproject.org/koji/taskinfo?taskID=13427384
> 
> Would you mind testing it and report if it fixed your issue?

Thanks Benjamin!

I have tested the modified kernel, and the wacom table is working fine, and without any noticeable problem.

Comment 14 Benjamin Tissoires 2016-03-24 14:45:46 UTC
(In reply to Rajib Chakrabartty from comment #13)
> I have tested the modified kernel, and the wacom table is working fine, and
> without any noticeable problem.

Thanks for the tests. We are still seeing some issues on the linuxwacom bug (https://sourceforge.net/p/linuxwacom/bugs/311/). I hope we will be able to sort them out quickly so we can be sure we fixed everything.

Comment 15 Aditya Patawari 2016-04-11 10:22:39 UTC
Hello.
Any luck in getting this merged with upstream? I am hitting this bug as well. For now, can I just use http://koji.fedoraproject.org/koji/taskinfo?taskID=13427384?

Comment 16 Benjamin Tissoires 2016-04-11 11:39:14 UTC
Sorry for the lag. The patch has been accepted and is on its way to Linus:

https://git.kernel.org/cgit/linux/kernel/git/jikos/hid.git/commit/drivers/hid/wacom_wac.c?h=for-next&id=580549ef6b3e3fb3b958de490ca99f43a089a2cf

It is now safe to port it to all fedora branches (given that the affected release was 22).

(In reply to Aditya Patawari from comment #15)
> For now, can I just use
> http://koji.fedoraproject.org/koji/taskinfo?taskID=13427384?

Looks like there has been a few CVEs since that build. I launched the following which contains latest f22 fixes + the Bamboo One one:
http://koji.fedoraproject.org/koji/taskinfo?taskID=13624879

Comment 17 Josh Boyer 2016-04-12 12:16:16 UTC
Patch added on all Fedora branches.  Thanks!

Comment 18 Fedora Update System 2016-04-13 14:49:37 UTC
kernel-4.5.1-300.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-76706f51a7

Comment 19 Fedora Update System 2016-04-13 16:58:49 UTC
kernel-4.4.7-300.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8e858f96b8

Comment 20 Fedora Update System 2016-04-14 00:39:11 UTC
kernel-4.4.7-200.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-56f5c3ea3a

Comment 21 Fedora Update System 2016-04-15 08:38:34 UTC
kernel-4.5.1-300.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-76706f51a7

Comment 22 Fedora Update System 2016-04-16 19:27:02 UTC
kernel-4.4.7-300.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8e858f96b8

Comment 23 Fedora Update System 2016-04-16 19:28:01 UTC
kernel-4.4.7-200.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-56f5c3ea3a

Comment 24 Fedora Update System 2016-04-17 23:40:47 UTC
kernel-4.5.1-300.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Rajib Chakrabartty 2016-04-19 07:16:15 UTC
(In reply to Fedora Update System from comment #20)
> kernel-4.4.7-200.fc22 has been submitted as an update to Fedora 22.
> https://bodhi.fedoraproject.org/updates/FEDORA-2016-56f5c3ea3a

Thanks Benjamin, Josh!

Downloaded and installed kernel-4.4.7-200.fc22.x86_64.

So far so good. The Wacom One Tablet is working under the new kernel without any noticeable problem. System is also stable till now. Will update if any problem found.

Comment 26 Fedora Update System 2016-04-19 19:22:40 UTC
kernel-4.4.7-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2016-04-20 23:27:34 UTC
kernel-4.4.8-200.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-373c063e79

Comment 28 Fedora Update System 2016-04-22 03:24:52 UTC
kernel-4.4.8-200.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-373c063e79

Comment 29 Fedora Update System 2016-05-06 19:54:01 UTC
kernel-4.4.8-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 bull500 2016-05-20 17:42:08 UTC
Can confirm everything back to normal on Fedora 22!
Thank you for fixing this!

Comment 31 Fedora End Of Life 2016-07-19 19:25:02 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.